package it.telecomitalia.netbox;

import java.util.*;

public abstract class AggregatedAlarm extends Alarm {
  
  private Set<Alarm> childrenAlarms=new HashSet<Alarm>();
  
 

  public Set<Alarm> getChildrenAlarms() {
    return childrenAlarms;
  }
  
  public void setChildrenAlarms(Set<Alarm> childrenAlarms) {
    this.childrenAlarms=childrenAlarms;
  }
  
  public int getChildrenAlarmCount(){
    return(childrenAlarms.size());
  }

 
  
  public void addAlarm(Alarm anAlarm){
    childrenAlarms.add(anAlarm);
    anAlarm.setParentAlarm(this);
  }
  
  public void removeAlarm(Alarm anAlarm){
    childrenAlarms.remove(anAlarm);
    anAlarm.setParentAlarm(null);
  }
  
  

}
