package it.telecomitalia.netbox;

public class Alarm {
  private String id;
  private String administrativeState;
  private String networkState;
  private AggregatedAlarm parentAlarm=null;
  
  private Object referencedElement;
  
  
  public AggregatedAlarm getParentAlarm() {
    return parentAlarm;
  }
  
  public void setParentAlarm(AggregatedAlarm parentAlarm) {
    this.parentAlarm = parentAlarm;
  }

  public String getAdministrativeState() {
    return administrativeState;
  }
  public void setAdministrativeState(String administrativeState) {
    this.administrativeState = administrativeState;
  }
  public String getId() {
    return id;
  }
  private void setId(String id) {
    this.id = id;
  }
  public String getNetworkState() {
    return networkState;
  }
  public void setNetworkState(String networkState) {
    this.networkState = networkState;
  }
  
  public boolean isAggregated(){
    return(parentAlarm!=null);
  }
  
  public Object getReferencedElement(){
    return referencedElement;
  }
  
  public void setReferencedElement(Object referencedElement){
    this.referencedElement=referencedElement;
  }
  
  public boolean equals(Object anObject){
    if(anObject == null){
      return false;
    }
    
    if(! this.getClass().isInstance(anObject)){
      return false;
    }
    Alarm allarme=(Alarm)anObject;
    if(this.getReferencedElement().equals(allarme.getReferencedElement())){
      return true;
    }
    return false;
  }
  
  public String toString(){
    return this.getReferencedElement().toString();
  }
  
}
