package it.telecomitalia.netbox;

public class Node {
  private String dpc;
  private String countryId;
  
  private Long id;
  
  public String getCountryId() {
    return countryId;
  }
  public void setCountryId(String countryId) {
    this.countryId = countryId;
  }
  public String getDpc() {
    return dpc;
  }
  public void setDpc(String dpc) {
    this.dpc = dpc;
  }
  
  protected Long getId(){
    return(id);
  }
  
  protected void setId(Long id){
    this.id=id;
  }
  
  public boolean equals(Object anObject){
    if(anObject == null){
      return false;
    }
    
    if(! (anObject instanceof Node)){
      return false;
    }
    Node aNode=(Node)anObject;
    if(this.getDpc().equals(aNode.getDpc()) && this.getCountryId().equals(aNode.getCountryId()) ){
      return true;
    }
    return false;
  }
  
  public String toString(){
    return("[dpc: "+this.getDpc()+" cc: "+this.getCountryId()+"]");
  }

}
